function Protwarbar:CreateDefaults()

	local iconlist = {
		{	-- battle shout
			name = GetSpellInfo(6673),
			x = 475,
			y = 495,
			spellid = 6673,
			enabled = true,
			class = 1,
			hideOnCD = false,
			size = 35,
		},
		{	-- berserker rage
			name = GetSpellInfo(18499),
			x = 512,
			y = 495,
			spellid = 18499,
			enabled = true,
			class = 1,
			hideOnCD = false,
			size = 35,
		},
		{	-- shield slam
			name = GetSpellInfo(23922),
			x = 512,
			y = 532,
			spellid = 23922,
			enabled = false,
			class = 1,
			hideOnCD = false,
			size = 35,
		},
		{	-- revenge
			name = GetSpellInfo(6572),
			x = 475,
			y = 532,
			spellid = 6572,
			enabled = false,
			class = 1,
			hideOnCD = false,
			size = 35,
		},
		{	-- shieldwall
			name = GetSpellInfo(871),
			x = 620,
			y = 410,
			spellid = 871,
			enabled = false,
			class = 1,
			hideOnCD = false,
			size = 35,
		},
		{	-- last stand
			name = GetSpellInfo(12975),
			x = 657,
			y = 410,
			spellid = 12975,
			enabled = false,
			class = 1,
			hideOnCD = false,
			size = 35,
		},
		{	-- rallying cry
			name = GetSpellInfo(97462),
			x = 694,
			y = 410,
			spellid = 97462,
			enabled = false,
			class = 1,
			hideOnCD = false,
			size = 35,
		},
		{	-- demo shout
			name = GetSpellInfo(1160),
			x = 731,
			y = 410,
			spellid = 1160,
			enabled = false,
			class = 1,
			hideOnCD = false,
			size = 35,
		},
		{	-- thunder clap
			name = GetSpellInfo(6343),
			x = 512,
			y = 569,
			spellid = 6343,
			enabled = false,
			class = 1,
			hideOnCD = false,
			size = 35,
		},
	}

	local barlist = {
		{ 	-- shieldwall
			name = GetSpellInfo(871),
			enabled = true,
			class = 1,
			color = {0, 1, 0, 1},
		},
		{ 	-- last stand
			name = GetSpellInfo(12975),
			enabled = true,
			class = 1,
			color = {1, 1, 0, 1},
		},
		{ 	-- rallying cry
			name = GetSpellInfo(97462),
			enabled = true,
			class = 1,
			color = {0, 1, 1, 1},
		},
		{ 	-- demo shout cry
			name = GetSpellInfo(1160),
			enabled = true,
			class = 1,
			color = {0.5, 0.5, 1, 1},
		},
		{ 	-- shield barrier
			name = GetSpellInfo(112048),
			enabled = true,
			class = 1,
			color = {0, 0, 1, 1},
		},
		{	-- shield block
			name = GetSpellInfo(2565),
			enabled = true,
			class = 1,
			color = {1, 0, 0, 1},
		},		
	}


  	local defaults = {
  		profile = {
  			enabled = true,
  			locked = false,
  			hideooc = false,
  			barWidth = 250,
  			barHeight = 25,
  			orientation = "HORIZONTAL",
  			x = 550,
  			y = 500,
  			color20 = {
				["r"] = 0.7,
				["g"] = 0.5,
				["b"] = 1,
				["a"] = 1,
			},
  			color60 = {
				["r"] = 0,
				["g"] = 1,
				["b"] = 1,
				["a"] = 1,
			},
  			color100 = {
				["r"] = 0,
				["g"] = 1,
				["b"] = 0,
				["a"] = 1,
			},
  			colorMax = {
				["r"] = 1,
				["g"] = 0,
				["b"] = 0,
				["a"] = 1,
			},
			bg = {
				["r"] = 0,
				["g"] = 0,
				["b"] = 0,
				["a"] = 0.6,
			},
			barTexture = "Solid",
			barFont = "Big Noodle",
			barFontsize = 19,
			IconsEnabled = true,
			icons = iconlist,
			bars = barlist,
			InformationFrame = {
				enabled = true,
  				x = 805,
  				y = 500,
				width = 90,
				height = 25,
				font = "Big Noodle",
				fontsize = 19,
				vengeance = {
					enabled = true,
				},
  				shieldBarrier = {
  					enabled = true,
  				}
			},
			shieldFrame = { 
				x = 550, 
				y = 525,
				enabled = true,
				width = 250,
				height = 7,
				orientation = "HORIZONTAL",
				texture = "Solid",
				background = {0, 0, 0, 0}
			},

 		}
	}

	return defaults	
end