function Protwarbar:UpdateShieldBar()
	local PWB = Protwarbar:getPWB()

	if PWB.db.profile.shieldFrame.enabled == false then
		return nil
	end

	local barVal = 0
	local now = GetTime()
	local color = {0, 0, 0 ,0}
	
	for i = 1, PWB_BAR_COUNT do
		if PWB.db.profile.bars[i].enabled and PWB.db.profile.bars[i].class == PWB.class then
			if barVal == 0 then 
				barVal, color = Protwarbar:CheckShield(now, PWB.db.profile.bars[i])
			end
		end
	end

	ShieldBar:SetValue(barVal)

	if barVal > 0 then 
		ShieldBar:SetStatusBarColor(color[1], color[2], color[3], color[4])
	end
end

function Protwarbar:CheckShield(now, bar)

	local n,_,_,_,_,d,e,_,_,_,id,_,_,val1,val2,val3 = UnitAura("player", bar.name, nil, "HELPFUL");
	local barVal = 0

	if n then
		local duration = d or 0

		if d > 0 then
			barVal = (e - now) / d * 100
			return  barVal, bar.color
		end
	end

	return 0, {0,0,0,0}
end